import { systemRouter } from 'ripples-core'
import { emsPaymentPlatformRouter, emsPaymentPlatformTopRouter } from './routerExport'

systemRouter.appRouter.children = systemRouter.appRouter.children.concat(emsPaymentPlatformRouter);
const appRouter = systemRouter.appRouter;
const routers = emsPaymentPlatformTopRouter.concat(systemRouter.routers);
const beforeEach = systemRouter.beforeEach
const afterEach = systemRouter.afterEach;
export {
  appRouter,
  routers,
  beforeEach,
  afterEach,
  emsPaymentPlatformRouter,
  emsPaymentPlatformTopRouter,
}