let emsPaymentPlatformRouter = [
  {
    path: 'payment-platform-setting',
    name: 'payment-platform-setting',
    title: '付款工作台配置',
    component: resolve => { require(['./views/ems/paymentPlatformSetting/Index.vue'], resolve); }
  },
  {
    path: 'start-payment-preparation',
    name: 'start-payment-preparation',
    title: '发起付款准备',
    component: resolve => { require(['./views/ems/startPaymentPreparation/Index.vue'], resolve); }
  },
  {
    path: 'prepare_pay',
    name: 'prepare_pay',
    title: '准备付款',
    component: resolve => { require(['./views/ems/preparePay/Index.vue'], resolve); }
  },
  {
    path: 'cashier',
    name: 'cashier',
    title: '本地出纳代办',
    component: resolve => { require(['./views/ems/cashier/Index.vue'], resolve); }
  },
  {
    path: 'failureTodo',
    name: 'failureTodo',
    title: '失败待办',
    component: resolve => { require(['./views/ems/failureTodo/Index.vue'], resolve); }
  },
  {
    path: 'failureMonitor',
    name: 'failureMonitor',
    title: '失败监控',
    component: resolve => { require(['./views/ems/failureMonitor/Index.vue'], resolve); }
  },
  {
    path: 'prepare-payment-detail-list',
    name: 'prepare-payment-detail-list',
    title: '准备付款明细查询',
    component: resolve => { require(['./views/ems/preparePaymentDetailList/Index.vue'], resolve); }
  },
  {
    path: 'payment-audit',
    name: 'payment-audit',
    title: '付款申请审核',
    component: resolve => { require(['./views/ems/paymentAudit/Index.vue'], resolve); }
  }
];

let emsPaymentPlatformTopRouter = [
  {
    path: '/create-payment-preparation',
    name: 'create-payment-preparation',
    meta: {
      title: '创建付款准备批次'
    },
    component: resolve => { require(['./views/ems/createPaymentPreparation/Index.vue'], resolve); }
  },
];

export {emsPaymentPlatformTopRouter, emsPaymentPlatformRouter};