export default class Server {

    constructor(params) {

    }

    /**
     * 分页(可排序)查询付款准备明细
     */
    QueryPreparePaymentTableDatas(param = {}) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/payLineDetailQuery/queryPayPrepareDetailInfo`, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }

    /**
     * 导出付款申请单
     */
    exportPayment(param = {}) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/todo`, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }

    //查询归属公司下拉框数据
    queryCompanySelect(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/paymentConfig/loadByBusinessType/PAYMENT`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };
}