export default class Server {

    constructor(params) {

    }

    //查询付款准备列表
    queryPayPrepare(param = {}) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/payBatch/queryPayBatchList`, param).then((response) => {
                resolve(response);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    }

    //查询归属公司下拉框数据
    queryCompanySelect(param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsPaymentUrl}/paymentConfig/loadByBusinessType/PAYMENT`, param).then((response) => {
                resolve(response.data);
            }).catch((error) => {
                let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
                resolve(responseData);
            })
        })
    };

}